Subject: bug#52044: Various Program Settings not Saving and Icons not Recognized

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 28 Nov 2021 14:57:33 +0100

Hi,

Am Sonntag, den 28.11.2021, 12:52 +0000 schrieb Jaft:
> [...]
> 
> (If I understood correctly,) you were saying that a similar setup to
> the Gnome example you gave could work with XFCE but running the full,
> plain XFCE (assuming I did that right) still resulted in this weird
> thing with the icons so I'm assuming there's something larger here,
> going on? It definitely works right, on Gnome, and I'm able to see
> all icons of the picked icon theme get loaded correctly but it seems,
> to me, that's not the case with XFCE.
So, what you're saying is that running the full XFCE stack with the
plain xfce from guix is currently broken?  I think that deserves to be
called a bug, but it'd also have a fairly simple patch of adding
adwaita-icon-theme, no?

> Tangential but, bug-wise, unrelated: I mentioned rofi not showing
> application icons. Looking at the errors it produces, when run, I'm
> getting stuff like:
> 
> (process:30101): Helpers.IconFetcher-WARNING **: 06:23:32.467: Failed
> to load image: Couldn’t recognize the image file format for file
> “/run/current-system/profile/share/icons/Papirus-
> Light/96x96/apps/org.xfce.catfish.svg”
> 
> I tried searching for if anyone had run into a similar problem and
> found gdk-pixbuf2 2.32.1-1 with librsvg 2.40.10-1: "Couldn't
> recognize the image file format for file" error for SVG files · Issue
> #818 · msys2/MINGW-packages and [BUG] SVG rendering failed on rofi
> version 1.6.1 · Discussion #1235 · davatorium/rofi but the first
> didn't seem particularly related (beyond referencing the library, I
> think, rofi uses and, even then, Guix is on a later version, by now)
> and, in the second link, someone refers to Guix to reference how
> things should be setup so that didn't really bring much
> enlightenment, either.
> 
> I tried running rofi with G_MESSAGES_DEBUG=Helpers.IconFetcher, to
> get debugging messages and got:
> 
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: ani
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: bmp
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: gif
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: icns
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: ico
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: cur
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: jpeg
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: jpe
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: jpg
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: png
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: pnm
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: pbm
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: pgm
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: ppm
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: qtif
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: qif
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: tga
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: targa
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: tiff
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: tif
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: xbm
> Helpers.IconFetcher-INFO: 06:38:06.245: Add image extension: xpm
> (process:7244): Helpers.IconFetcher-DEBUG: 06:38:06.268: Query:
> preferences-desktop-theme(80)
> (process:7244): Helpers.IconFetcher-DEBUG: 06:38:06.269: starting up
> icon fetching thread.
> (process:7244): Helpers.IconFetcher-DEBUG: 06:38:06.270: Query:
> org.xfce.catfish(80)
> (process:7244): Helpers.IconFetcher-DEBUG: 06:38:06.270: starting up
> icon fetching thread.
> (process:7244): Helpers.IconFetcher-DEBUG: 06:38:06.271: Query:
> icecat(80)
> (process:7244): Helpers.IconFetcher-DEBUG: 06:38:06.271: starting up
> icon fetching thread.
> (process:7244): Helpers.IconFetcher-DEBUG: 06:38:06.271: Query: (80)
> (process:7244): Helpers.IconFetcher-DEBUG: 06:38:06.271: Query:
> org.xfce.powermanager(80)
> (process:7244): Helpers.IconFetcher-DEBUG: 06:38:06.272: Query:
> chromium(80)
> (process:7244): Helpers.IconFetcher-DEBUG: 06:38:06.272: starting up
> icon fetching thread.
> (process:7244): Helpers.IconFetcher-DEBUG: 06:38:06.272: found icon
> preferences-desktop-theme(80x80): /run/current-
> system/profile/share/icons/Papirus-Light/96x96/apps/preferences-
> desktop-theme.svg
> 
> (process:7244): Helpers.IconFetcher-WARNING **: 06:38:06.272: Failed
> to load image: Couldn’t recognize the image file format for file
> “/run/current-system/profile/share/icons/Papirus-
> Light/96x96/apps/preferences-desktop-theme.svg”
> (process:7244): Helpers.IconFetcher-DEBUG: 06:38:06.272: starting up
> icon fetching thread.
> (process:7244): Helpers.IconFetcher-DEBUG: 06:38:06.275: found icon
> org.xfce.catfish(80x80): /run/current-
> system/profile/share/icons/Papirus-
> Light/96x96/apps/org.xfce.catfish.svg
> 
> SVGs don't seem to be loaded as an extension, though librsvg is a
> dependency of rofi (I assume it's related to SVG handling for when
> rofi is running).
> 
> 	
> [BUG] SVG rendering failed on rofi version 1.6.1 · Discussion #1235 ·
> da...
> SVG rendering failed on rofi version 1.6.1. Fallback the version to
> 1.5.4 and rendering works normally. Version ...
> 
> 	
> gdk-pixbuf2 2.32.1-1 with librsvg 2.40.10-1: "Couldn't recognize the
> im...
> When MyPaint tries to load an icon for its initial runtime test, I
> get: ERROR: gui.application: Missing icon 'my...
SVG handling is in a somewhat rough spot currently.  There's some GNOME
packages on current master, that have broken icons due to gdk-
pixbuf+svg being severely out of date.  These are for the most part
known (at least the core GNOME ones like evince) and will probably
vanish with the c-u-f merge.  Consequently, I don't think it makes
sense to report broken icons due to this reason on master; one would
have to look into the c-u-f situation. 

Note that SVG is anyway broken for those not on x86_64, because that's
the only platform that has Rust.  Maybe there's an effort to derustify
SVG handling in Gdk similar to how there's an open merge request to use
duktape in polkit.  If not, I did suggest elsewhere to pre-render SVGs
with other tools like inkscape.

Cheers